Overview
PUT
/project/tasks/{id}projectUpdate tasks
Replace a record in tasks by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Request body
application/json · optional
- deletedAtoptionalstring?
- ecosystemIdoptionalstring
- connectionIdoptionalstring
- externalIdoptionalstring
- sourceProvideroptionalstring
- titleoptionalstring
- descriptionoptionalstring?
- isCompletedoptionalboolean
- priorityoptionalinteger
- dueDateoptionalstring?
- dueDatetimeoptionalstring?
- externalProjectIdoptionalstring?
- externalProjectNameoptionalstring?
- labelsoptionalstring?
- urloptionalstring?
- isDeletedoptionalboolean
Example
{
"deletedAt": "string",
"ecosystemId": "string",
"connectionId": "string",
"externalId": "string",
"sourceProvider": "string",
"title": "string",
"description": "string",
"isCompleted": true,
"priority": 0,
"dueDate": "string",
"dueDatetime": "string",
"externalProjectId": "string",
"externalProjectName": "string",
"labels": "string",
"url": "string",
"isDeleted": true
}Responses
200
tasks
- idstring
- customerIdstring
- deletedAtstring?
- ecosystemIdstring
- connectionIdstring
- externalIdstring
- sourceProviderstring
- titlestring
- descriptionstring?
- isCompletedboolean
- priorityinteger
- dueDatestring?
- dueDatetimestring?
- externalProjectIdstring?
- externalProjectNamestring?
- labelsstring?
- urlstring?
- isDeletedboolean
- syncVersioninteger
- createdAtstring
- updatedAtstring
Example
{
"id": "string",
"customerId": "string",
"deletedAt": "string",
"ecosystemId": "string",
"connectionId": "string",
"externalId": "string",
"sourceProvider": "string",
"title": "string",
"description": "string",
"isCompleted": true,
"priority": 0,
"dueDate": "string",
"dueDatetime": "string",
"externalProjectId": "string",
"externalProjectName": "string",
"labels": "string",
"url": "string",
"isDeleted": true,
"syncVersion": 0,
"createdAt": "string",
"updatedAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X PUT "https://api.agenticdeveloperhub.com/project/tasks/{id}" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"deletedAt": "string",
"ecosystemId": "string",
"connectionId": "string",
"externalId": "string",
"sourceProvider": "string",
"title": "string",
"description": "string",
"isCompleted": true,
"priority": 0,
"dueDate": "string",
"dueDatetime": "string",
"externalProjectId": "string",
"externalProjectName": "string",
"labels": "string",
"url": "string",
"isDeleted": true
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/project/tasks/{id}", {
method: "PUT",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"deletedAt\": \"string\",\n \"ecosystemId\": \"string\",\n \"connectionId\": \"string\",\n \"externalId\": \"string\",\n \"sourceProvider\": \"string\",\n \"title\": \"string\",\n \"description\": \"string\",\n \"isCompleted\": true,\n \"priority\": 0,\n \"dueDate\": \"string\",\n \"dueDatetime\": \"string\",\n \"externalProjectId\": \"string\",\n \"externalProjectName\": \"string\",\n \"labels\": \"string\",\n \"url\": \"string\",\n \"isDeleted\": true\n}",
});
const data = await res.json();